org.apache.cassandra.utils

## Class GuidGenerator

- java.lang.Object
- - org.apache.cassandra.utils.GuidGenerator

-     public class GuidGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `guid()`
    `static java.nio.ByteBuffer` | `guidAsBytes()`
    `static java.lang.String` | `guidToString(byte[] bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidGenerator

          public GuidGenerator()

  - ### Method Detail

    - #### guid

          public static java.lang.String guid()

    - #### guidToString

          public static java.lang.String guidToString(byte[] bytes)

    - #### guidAsBytes

          public static java.nio.ByteBuffer guidAsBytes()

Copyright © 2018 The Apache Software Foundation